Page MenuHomePhabricator

Undefined index: recentChangesFlagsRaw in includes/changes/EnhancedChangesList.php on line 268
Closed, ResolvedPublic

Description

Noticed in https://logstash.wikimedia.org/#/dashboard/elasticsearch/hhvm during codfw->eqiad switchover. These messages were on both codfw and eqiad hosts so it seems unlikely that the problem was purely related to the switch.

Notice: Undefined index: recentChangesFlagsRaw in /srv/mediawiki/php-1.27.0-wmf.21/includes/changes/EnhancedChangesList.php on line 268
Warning: Invalid argument supplied for foreach() in /srv/mediawiki/php-1.27.0-wmf.21/includes/changes/EnhancedChangesList.php on line 285

Details

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2016, 2:39 PM

Change 286857 had a related patch set uploaded (by Aude):
If $line is empty in EnhancedChangesList, don't try to access parts of array

https://gerrit.wikimedia.org/r/286857

Change 286857 merged by jenkins-bot:
If $line is empty in EnhancedChangesList, don't try to access parts of array

https://gerrit.wikimedia.org/r/286857

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 14 2017, 5:51 PM
Zppix closed this task as Resolved.Apr 3 2017, 9:34 PM
Zppix assigned this task to aude.

Appears to be fixed/deployed/merged. Thanks for the bug report and fix.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM